# Create a new well

Create a new well

Endpoint: POST /v2/wells
Version: 1.0.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Header parameters:

  - `slb-data-partition-id` (string, required)
    The data partition id.

## Request fields (application/json):

  - `name` (string, required)

  - `slot_id` (string)

  - `structure_id` (string, required)

  - `location` (object, required)

  - `location.crs` (string)

  - `location.ns` (number)

  - `location.ew` (number)

  - `location.distance` (number)

  - `location.azimuth` (number)

  - `location.coordinates_type` (string)

  - `location.northing` (number)

  - `location.easting` (number)

  - `location.latitude` (number)

  - `location.longitude` (number)

  - `ground_level` (number, required)

  - `external_tag` (string)

  - `country` (string)

  - `client_name` (string)

  - `uwi` (string)

  - `uncertainty` (object)

  - `uncertainty.confidence` (number)

  - `uncertainty.radius` (number)

## Response 201:

  - `201` (unknown)
    Success

## Response 201 fields (application/json):

  - `createdId` (string)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `message` (string)

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 429 fields (application/json):

  - `message` (string)

